Board index FlightGear Support Compiling

prerequisites to be ensured before installating Flightgear

Building FlightGear from source, and in the need for help?

prerequisites to be ensured before installating Flightgear

Postby sathish » Tue Jul 02, 2019 6:02 am

Hi,
Iam planning to Install Flightgear 2017.3.1 in my windows10 PC,with MSVC 14 version .Iam inneed of the list of supporting libraries to be installed before installing flightgear
.Also iam planning to build and compile the source codes too ....

I want some helping Ideas......
sathish
 
Posts: 42
Joined: Tue Mar 13, 2018 12:51 pm

Re: prerequisites to be ensured before installating Flightge

Postby xDraconian » Tue Jul 09, 2019 12:01 am

Hi Sathish,

Take a look at:
https://sourceforge.net/p/flightgear/fgmeta/ci/next/tree/fg-from-scratch/

It will build the latest code and all its dependencies for Windows.
xDraconian
 
Posts: 238
Joined: Sun Jan 21, 2018 5:53 am
Version: Git
OS: Linux Mint

Re: prerequisites to be ensured before installating Flightge

Postby bugman » Tue Jul 09, 2019 7:10 am

Also take a look at:


I updated these instructions for Visual Studio (VS) 2015 (msvc140). Hopefully all details are still relevant - otherwise just ask (or fix the wiki page yourself).

Regards,
Edward
bugman
Moderator
 
Posts: 1682
Joined: Thu Mar 19, 2015 9:01 am
Version: next

Re: prerequisites to be ensured before installating Flightge

Postby sathish » Sat Jul 20, 2019 5:41 am

Hi,
Thank You so much , iam working out with your ideas...
I want to correct onething, iam using MSVC 15.9.9 not MSVC14 and i want to install all the 3rd party libraries and dependencies in offline mode any possibility is there for doing this....
Finally after installiion i have to build the source code of Flightgear and simgear OSG ....
sathish
 
Posts: 42
Joined: Tue Mar 13, 2018 12:51 pm


Return to Compiling

Who is online

Users browsing this forum: No registered users and 2 guests